Chuyển đến nội dung
Diễn đàn CADViet
Jin Yong

Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

Các bài được khuyến nghị

Lý do chính là trong bản vẽ chưa tồn tại Text style có tên là "dimstyle"

Cái này thì phải vô Lệnh ST (Style) -> Tạo ra Style mới có tên là "dimstyle" mới đúng.

 

Nếu dùng Lisp, có thể kiểm tra dòng này

(tblsearch "STYLE" "dimstyle")

-> Nếu trả về NIL tức là Text style tên là "dimstyle" chưa tồn tại. Bạn có thể tạo Style mới tên là "dimstyle" bằng Command rồi setvar cho biến DIMTXSTY

-> Nếu trả về T tức là Text style tên là "dimstyle" đã tồn tại. Bạn chỉ việc (setvar DIMTXSTY "dimstyle")

Đầu tiên là:

(command "style" "dimstyle" "VHELVCN.TTF" "0" "1" "0" "n" "n")

rồi mà sao nó lại báo chưa có?Thanks.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đầu tiên là:

(command "style" "dimstyle" "VHELVCN.TTF" "0" "1" "0" "n" "n")

rồi mà sao nó lại báo chưa có?Thanks.

Có lẽ bạn nhập tên fontfile chưa đúng nên tạo style chưa được (lỗi). Thử sửa lại fontfile là "VHELVCN_0.TTF" xem sao hè!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đầu tiên là:

(command "style" "dimstyle" "VHELVCN.TTF" "0" "1" "0" "n" "n")

rồi mà sao nó lại báo chưa có?Thanks.

Cũng hơi khó trả lời câu của bạn. Vì mình không biết Command của bạn báo gì???

Bạn đọc và thử code nhé:


(defun c:ktd()
(if (tblsearch "STYLE" "dimstyle")
   (setvar "DIMTXSTY" "dimstyle")
   (Progn
     (command "style" "dimstyle" "VHELVCN.TTF" "0" "1" "0" "n" "n")
     (setvar "DIMTXSTY" "dimstyle")
   )
)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cũng hơi khó trả lời câu của bạn. Vì mình không biết Command của bạn báo gì???

Bạn đọc và thử code nhé:

(defun c:ktd()
(if (tblsearch "STYLE" "dimstyle")
   (setvar "DIMTXSTY" "dimstyle")
   (Progn
     (command "style" "dimstyle" "VHELVCN.TTF" "0" "1" "0" "n" "n")
     (setvar "DIMTXSTY" "dimstyle")
   )
)
)

Nó lỗi, dù cad đã có font file VHELVCN.TTF

Trích dẫn:

Command: ktd

style Enter name of text style or [?] <Standard>: dimstyle

New style.

Specify full font name or font filename (TTF or SHX) <txt>: VHELVCN.TTF

Font file doesn't exist.

Command: 0 Unknown command "0". Press F1 for help.

Command: 1 Unknown command "1". Press F1 for help.

Command: 0 Unknown command "0". Press F1 for help.

Command: n Unknown command "N". Press F1 for help.

Command: n Unknown command "N". Press F1 for help.

Command: ; error: AutoCAD variable setting rejected: "DIMTXSTY" "dimstyle"

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nó lỗi, dù cad đã có font file VHELVCN.TTF

Trích dẫn:

Command: ktd

style Enter name of text style or [?] <Standard>: dimstyle

New style.

Specify full font name or font filename (TTF or SHX) <txt>: VHELVCN.TTF

Font file doesn't exist.

Command: 0 Unknown command "0". Press F1 for help.

Command: 1 Unknown command "1". Press F1 for help.

Command: 0 Unknown command "0". Press F1 for help.

Command: n Unknown command "N". Press F1 for help.

Command: n Unknown command "N". Press F1 for help.

Command: ; error: AutoCAD variable setting rejected: "DIMTXSTY" "dimstyle"

Ừ! Do mình chưa kiểm tra máy có Font đó hay không mà

Đây là đoạn kiểm tra máy tính của bạn có Font hay không?


(defun ktrafont (font)
 ;;;write by Tue_NV
 (vl-cmdf "style" "dimstyle" font)
 (if (/= (getvar  "cmdactive") 0)
(progn
		(command "0" "1" "0" "n" "n")
		(alert (strcat "Ten " font "co trong may tinh cua ban"))
)
		(alert (strcat "Ten " font "khong co trong may tinh cua ban"))
 )
)

Bạn DVH kiểm tra lại xem

Lisp chạy trên máy của mình đã tồn tại Font

 

 

Command: ktd style Enter name of text style or [?] <Standard>: dimstyle

New style.

Specify full font name or font filename (TTF or SHX) <txt>: VHELVCN.TTF Specify

height of text or [Annotative] <0.0000>: 0 Specify width factor <1.0000>: 1

Specify obliquing angle <0>: 0 Display text backwards? [Yes/No] <No>: n Display

text upside-down? [Yes/No] <No>: n

"dimstyle" is now the current text style.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sao đánh ktd nó báo không có lệnh này nhỉ?Lúc đầu mình nghĩ cũng do chưa có font nhưng khi sử dụng ở nhà thì không sao,vào cty thì không được mặc dù máy ở cty và ở nhà cài font cùng 1 loại.

PS Ha:Mình hết quyền like nên không nhấn cho bạn được.Mai mình bù nha.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ừ! Do mình chưa kiểm tra máy có Font đó hay không mà

Đây là đoạn kiểm tra máy tính của bạn có Font hay không?


(defun ktrafont (font)
 ;;;write by Tue_NV
 (vl-cmdf "style" "dimstyle" font)
 (if (/= (getvar  "cmdactive") 0)
(progn
	(command "0" "1" "0" "n" "n")
	(alert (strcat "Ten " font "co trong may tinh cua ban"))
)
	(alert (strcat "Ten " font "khong co trong may tinh cua ban"))
 )
)

Bạn DVH kiểm tra lại xem

Lisp chạy trên máy của mình đã tồn tại Font

 

 

Command: ktd style Enter name of text style or [?] <Standard>: dimstyle

New style.

Specify full font name or font filename (TTF or SHX) <txt>: VHELVCN.TTF Specify

height of text or [Annotative] <0.0000>: 0 Specify width factor <1.0000>: 1

Specify obliquing angle <0>: 0 Display text backwards? [Yes/No] <No>: n Display

text upside-down? [Yes/No] <No>: n

"dimstyle" is now the current text style.

Chà! Cái này chưa hiểu nguyên nhân nhưng nó thế này:

1). Fontfile "VHELVCN.TTF" là 100% có trong Cad.

2). Fontfile "VHELVCN_0.TTF" là không có trong Cad.

3). Kiểm tra font theo hàm ktrafont thì 1) là không có, 2) là có.

4). Nên dùng 1) thì lỗi, dùng 2) thì OK.

Bạn nào kiểm tra giùm với.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ừ! Do mình chưa kiểm tra máy có Font đó hay không mà

Đây là đoạn kiểm tra máy tính của bạn có Font hay không?


(defun ktrafont (font)
 ;;;write by Tue_NV
 (vl-cmdf "style" "dimstyle" font)
 (if (/= (getvar  "cmdactive") 0)
(progn
	(command "0" "1" "0" "n" "n")
	(alert (strcat "Ten " font "co trong may tinh cua ban"))
)
	(alert (strcat "Ten " font "khong co trong may tinh cua ban"))
 )
)

Bạn DVH kiểm tra lại xem

Lisp chạy trên máy của mình đã tồn tại Font

 

 

Command: ktd style Enter name of text style or [?] <Standard>: dimstyle

New style.

Specify full font name or font filename (TTF or SHX) <txt>: VHELVCN.TTF Specify

height of text or [Annotative] <0.0000>: 0 Specify width factor <1.0000>: 1

Specify obliquing angle <0>: 0 Display text backwards? [Yes/No] <No>: n Display

text upside-down? [Yes/No] <No>: n

"dimstyle" is now the current text style.

Bạn TUE_NV ơi?sao mình tải font VHELVCN.TTF về chép vào font của cad và win luôn rồi mà nó vẫn báo lỗi như thế?Cảm ơn bạn nhiều?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn TUE_NV ơi?sao mình tải font VHELVCN.TTF về chép vào font của cad và win luôn rồi mà nó vẫn báo lỗi như thế?Cảm ơn bạn nhiều?

Hugo007 thử đổi thành "VHELVCN_0.TTF" xem có lỗi không. Tôi cũng có font "VHELVCN.TTF" nhưng vẫn lỗi. Sửa lại "VHELVCN_0.TTF" thì không lỗi, nhưng chưa tìm ra nguyên nhân vì sao.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hugo007 thử đổi thành "VHELVCN_0.TTF" xem có lỗi không. Tôi cũng có font "VHELVCN_0.TTF" nhưng vẫn lỗi. Sửa lại "VHELVCN_0.TTF" thì không lỗi, nhưng chưa tìm ra nguyên nhân vì sao.

Cảm ơn Ha nhe,đúng là đổi lại thì được.Không hiểu tại sao nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình tạo 1 annotative style bằng hàm entmake như sau:

(defun makestyle:20-arial-t nil

(entmakex '((0 . "STYLE")(100 . "AcDbSymbolTableRecord")(100 . "AcDbTextStyleTableRecord")

(2 . "2.0Arial")(70 . 0)(40 . 0.002)(41 . 1.0)(50 . 0.0)(71 . 0)(42 . 0.002)(3 . "VNARIAL.ttf")(4 . "")

(-3 ("ACAD" (1000 . ".VnArial") (1071 . 34)) ("AcadAnnotative" (1000 . "AnnotativeData")(1002 . "{")(1070 . 1)(1070 . 1)(1002 . "}"))))))

 

Tuy nhiên nó chỉ chạy trơn chu trên bản vẽ được khởi tạo bằng các bản cad có hỗ trợ chức năng này. (2008 trở lên)

Với các bản vẽ được khởi tạo bằng cad đời thấp, đem mở bằng cad đời cao và chạy hàm trên thì nó không chịu nhả ra kết quả. Mình bắt buộc fải tạo ra 1 đối tượng nào đó có gắn annotative (bằng command) thì từ đó hàm trên mới chạy được.

 

=> KL: Các bản cad đời cao đã không tự động tải 1 thông tin gì đó liên quan đến annotative object khi mở các bản cad không fải do nó tạo ra. Thông tin đó chỉ được tải vào bản vẽ khi lần đầu tiên có 1 đối tượng annotative được tạo.

 

Có bác nào vấp phải vấn đề này chưa? Thông tin bị thiếu liên quan đến annotative là gì? làm thế nào để nó tự động tải khi mờ các bản vẽ của cad đời thấp.

Ps: mình kiểm tra các arx đã được tải vào bản vẽ, trước và sau khi chạy được hàm trên là như nhau nên có thể loại trừ nguyên nhân này.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đã tìm ra nguyên nhân:

- Các đối tượng anotative được gắn dữ liệu mở rộng Xdata để phân biệt với các đối tượng bình thường. Chuỗi xác định 1 đối tương anotative là "AcadAnnotative".

 

- Giống như mọi đối tượng có chứa xdata khác. thông tin về kiểu của nó cần phải được khai báo vào cơ sở dữ liệu của bản vẽ. việc khai báo này được thực hiện thông qua hàm (regapp application) với đối số application là chuỗi xác định kiểu xdata.

ví dụ với các đối tượng của chương trình thiết kế đường Nova tạo ra, nó đăng ký kiểu là "TDNW". Bạn có thể tự tạo cho mình 1 kiểu xdata khi viết phần mềm để phân biệt với các đối tượng của chương trình khác bằng cách này (regapp "TenChuongTrinhCuaBan")

 

- Ở trường hợp trên thì chỉ cần cho hàm (regapp "AcadAnnotative") tự động thực thi khi mở bản vẽ là được. nếu "AcadAnnotative" đã được khai báo rồi nó trả về nil.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

http://www.cadviet.com/upfiles/3/5527_aisc.zip

Nhờ ace chỉ giúp, mình sai ở đâu, mình sử dụng AutoCad 2009.

Trong file đính kèm có 3 file AISC.DCL, AISC.lsp, H-Member.dat

khi chạy lisp, lệnh AISC thì hộp thoại xuất hiện như hình, nhưng popup_list không có dữ liệu được load vào

5527_hop_thoai.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

http://www.cadviet.c...3/5527_aisc.zip

Nhờ ace chỉ giúp, mình sai ở đâu, mình sử dụng AutoCad 2009.

Trong file đính kèm có 3 file AISC.DCL, AISC.lsp, H-Member.dat

khi chạy lisp, lệnh AISC thì hộp thoại xuất hiện như hình, nhưng popup_list không có dữ liệu được load vào

5527_hop_thoai.jpg

Bạn phải thêm dòng (set_list) vào trên dòng (action_tile "Mark" "(set_list)")

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

http://www.cadviet.c...3/5527_aisc.zip

Nhờ ace chỉ giúp, mình sai ở đâu, mình sử dụng AutoCad 2009.

Trong file đính kèm có 3 file AISC.DCL, AISC.lsp, H-Member.dat

khi chạy lisp, lệnh AISC thì hộp thoại xuất hiện như hình, nhưng popup_list không có dữ liệu được load vào

5527_hop_thoai.jpg

Hề hề hề,

Theo thiển ý của mình sở dĩ cai popup list chả có thằng cu con nào ấy là do cái thằng (read-line f) nó hơi dốt nên không hiểu dược cái file H-Member.dat của bạn thui.

Theo help developer thì thằng read-line chỉ có thể Reads a string from the keyboard or from an open file, until an end-of-line marker is encountered .

Rất có thể do cái duôi .dat mà thằng read-line nó điếc nên bạn thử lưu lại file này thành file .Txt xem sao.

Hy vọng bắt đúng bênh của bạn.

Chúc bạn thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Theo thiển ý của mình sở dĩ cai popup list chả có thằng cu con nào ấy là do cái thằng (read-line f) nó hơi dốt nên không hiểu dược cái file H-Member.dat của bạn thui.

Theo help developer thì thằng read-line chỉ có thể Reads a string from the keyboard or from an open file, until an end-of-line marker is encountered .

Rất có thể do cái duôi .dat mà thằng read-line nó điếc nên bạn thử lưu lại file này thành file .Txt xem sao.

Hy vọng bắt đúng bênh của bạn.

Chúc bạn thành công.

Nó đọc được bác PTB ạ!

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Theo thiển ý của mình sở dĩ cai popup list chả có thằng cu con nào ấy là do cái thằng (read-line f) nó hơi dốt nên không hiểu dược cái file H-Member.dat của bạn thui.

Theo help developer thì thằng read-line chỉ có thể Reads a string from the keyboard or from an open file, until an end-of-line marker is encountered .

Rất có thể do cái duôi .dat mà thằng read-line nó điếc nên bạn thử lưu lại file này thành file .Txt xem sao.

Hy vọng bắt đúng bênh của bạn.

Chúc bạn thành công.

Hề hề, bác Bình bắt bệnh .... "trật lất" :D

Bạn toanmda chưa (set_list) cho key "Mark" thì hành động (action_tile "Mark" "(set_list)") không có nghĩa gì cả

 

Ngoài ra các từ khóa trong DCL bạn toanmda cũng viết không đúng

Ví dụ : true không phải là True

Mình cũng không hiểu sao CAD vẫn không lỗi khi viết không đúng từ khóa

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Tue_NV với bác DVH nói đúng. phải gán cho cái key "Mark" 1 hành động nó mới có ý nghĩa.

Bạn gán cho nó cái (set_list) nên mỗi lần ấn thì thấy nó vẫn thế.

VD: Mỗi lần tác động vày key Mark thì nó in ra màn hình chữ "abc"

(defun set_list ()
 (start_list "Mark")
 (foreach x lstdata (add_list (car x)))
 (end_list)
 )

(defun split (str delim / lst i)
 (while (setq i (vl-string-search delim str))
(setq lst (cons (substr str 1 i) lst)
     str (substr str (+ 2 i)))
)
 (setq lst (cons str lst))
 (reverse lst)
 )

(defun getdata ()
 (setq f (open (findfile "H-Member.dat") "r") lstData nil)
 (while (setq Line (read-line f))
(setq data (split Line "\t"))
(setq lstData (cons data lstData))
)
 (setq lstData  (vl-remove '("") (reverse lstData)))
 )

(defun c:AISC (/ sublist lstdata data)        
 (vl-load-com)
 (getdata)
 (setq dcl_id (load_dialog "AISC.dcl")) 	; Load the DCL file.
 (if (not (new_dialog "AISC" dcl_id))       ; Initialize the dialog.
(exit)                          	     ; Exit if this doesn't
)
 (set_list)
 (action_tile "Mark" "(pickMark)")
 (start_dialog)
 (unload_dialog dcl_id)
 )
(defun pickMark ()
(print "abc")
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ngoài ra các từ khóa trong DCL bạn toanmda cũng viết không đúng

Ví dụ : true không phải là True

Mình cũng không hiểu sao CAD vẫn không lỗi khi viết không đúng từ khóa

Chỉ có key mới phải cần viết đúng chữ hoa và thường chứ nhỉ?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chỉ có key mới phải cần viết đúng chữ hoa và thường chứ nhỉ?

Có thể bạn nói đúng, và có thể là viết trật từ khóa thì không lỗi, nhưng định dạng sẽ không đúng, ví dụ canh lề chẳng hạn......

Và tốt nhất là viết đúng từ khóa :lol:

Mình bị mấy lần cái vụ chữ Hoa/ chữ thường trong DCL rồi, nên mình thường soạn thảo (có thể Copy/paste) trong VLISP editor

Từ khóa thì phân biệt bằng chữ màu xanh lá.

Bạn viết trật hoặc chữ hoa/thường hoặc không đúng từ khóa thì chữ sẽ là màu đen liền

Rất tiện sử dụng, quan sát DCL, soạn thảo DCL phải nói là rất tiện ích

Thân!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Tue_NV với bác DVH nói đúng. phải gán cho cái key "Mark" 1 hành động nó mới có ý nghĩa.

Bạn gán cho nó cái (set_list) nên mỗi lần ấn thì thấy nó vẫn thế.

VD: Mỗi lần tác động vày key Mark thì nó in ra màn hình chữ "abc"

(defun set_list ()
 (start_list "Mark")
 (foreach x lstdata (add_list (car x)))
 (end_list)
 )

(defun split (str delim / lst i)
 (while (setq i (vl-string-search delim str))
(setq lst (cons (substr str 1 i) lst)
     str (substr str (+ 2 i)))
)
 (setq lst (cons str lst))
 (reverse lst)
 )

(defun getdata ()
 (setq f (open (findfile "H-Member.dat") "r") lstData nil)
 (while (setq Line (read-line f))
(setq data (split Line "\t"))
(setq lstData (cons data lstData))
)
 (setq lstData  (vl-remove '("") (reverse lstData)))
 )

(defun c:AISC (/ sublist lstdata data)        
 (vl-load-com)
 (getdata)
 (setq dcl_id (load_dialog "AISC.dcl")) 	; Load the DCL file.
 (if (not (new_dialog "AISC" dcl_id))   	; Initialize the dialog.
(exit)                                   ; Exit if this doesn't
)
 (set_list)
 (action_tile "Mark" "(pickMark)")
 (start_dialog)
 (unload_dialog dcl_id)
 )
(defun pickMark ()
(print "abc")
)

Cám ơn các bác chỉ bảo, đúng là còn thiếu một hành động.

 

 

 

Hề hề hề,

Theo thiển ý của mình sở dĩ cai popup list chả có thằng cu con nào ấy là do cái thằng (read-line f) nó hơi dốt nên không hiểu dược cái file H-Member.dat của bạn thui.

Theo help developer thì thằng read-line chỉ có thể Reads a string from the keyboard or from an open file, until an end-of-line marker is encountered .

Rất có thể do cái duôi .dat mà thằng read-line nó điếc nên bạn thử lưu lại file này thành file .Txt xem sao.

Hy vọng bắt đúng bênh của bạn.

Chúc bạn thành công.

Mình thử với các file như .dat, .txt, .j77, .... hàm read-line vẫn đọc được. Theo mình thì những file có thể mở và đọc bằng note hay notepad thì vẫn dùng được read-line.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn các bác chỉ bảo, đúng là còn thiếu một hành động.

Mình thử với các file như .dat, .txt, .j77, .... hàm read-line vẫn đọc được. Theo mình thì những file có thể mở và đọc bằng note hay notepad thì vẫn dùng được read-line.

Đọc ngon :)

Code của bạn nhìn khá quen ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đọc ngon :)

Code của bạn nhìn khá quen ^^

Nhớ có lần nhờ Ketxu & tue_vn rồi, vẫn giữ cái code đó. :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp dưới đây dùng để hứng tập hợp chọn được sinh ra bởi lệnh copy. Tôi thêm hàm acet vào để trở thành hứng của lệnh move thì bị lỗi. Ai biết xin chỉ giùm.

Hỏi thêm 1 câu nữa: hình như dòng (vl-catch...) là thừa?

P/S (14h 14/3/2012): hiệu chỉnh để mọi người dễ kiểm tra.

(defun C:HA()
(setq sst (ssget) pt1 (getpoint "\nDiem 1: ") pt2 (getpoint pt1 "\nDiem 2: "))
(SSCP sst pt1 pt2))
(defun SSCP (sst pt1 pt2 / obj sss pto)
(vl-load-com)
(or acdoc (setq acdoc (vla-get-activedocument (vlax-get-acad-object))))
(setq lstptobj (mapcar '(lambda (x) (vlax-3d-point (trans x 1 0))) (list pt1 pt2)))
(setq sss (ssadd))
(vlax-for x (setq sst (vla-get-activeselectionset acdoc))
 (ssadd (vlax-vla-object->ename (setq obj (vla-copy x))) sss)
 (vla-move obj (car lstptobj) (cadr lstptobj)))
; (vl-catch-all-apply 'vla-delete (list sst))		;dong nay co bi thua khong???
; (acet-ss-entdel sst)				;them dong nay de del sst cu, tai sao bi loi???
sss)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- 1 là bác check lại kiểu của sst

- 2 là move không sinh đối tượng mới, bác "hứng" nhằm ý đồ gì vậy ạ ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×